Package org.apache.cxf.io

# Interface CachedOutputStreamCleaner

All Known Implementing Classes:
  `DelayedCachedOutputStreamCleaner`

public interface CachedOutputStreamCleaner
The `Bus` extension to clean up unclosed `CachedOutputStream` instances (and alike) backed by temporary files (leading to disk fill, see https://issues.apache.org/jira/browse/CXF-7396.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clean()`
  Run the clean up
  `void`
  `register(Closeable closeable)`
  Unregister the stream instance from the clean up (closed properly)
  `default int`
  `size()`
  The exact or approximate (depending on the implementation) size of the cleaner queue
  `void`
  `unregister(Closeable closeable)`
  Register the stream instance for the clean up

- ## Method Details

  - ### clean

    void clean()
    Run the clean up

  - ### unregister

    void unregister(Closeable closeable)
    Register the stream instance for the clean up

  - ### register

    void register(Closeable closeable)
    Unregister the stream instance from the clean up (closed properly)

  - ### size

    default int size()
    The exact or approximate (depending on the implementation) size of the cleaner queue
    Returns:
      exact or approximate (depending on the implementation) size of the cleaner queue